<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin-bottom: 5px;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Caching CarbonPHP Pages</h1>

		<p>CarbonPHP allows you to cache certain pages in order to max out the performance of your application.</p>

		<p>Even though CarbonPHP is fast, the amount of dynamic data you display will affect the server resources,
		memory, and processing cycles.  This will affect your loading speeds.  By caching pages they are saved in
		their fully rendered state, this will allow you to achieve the same performance as though you were loading
		static pages.</p>
	</div>

	<div class="content">
		<h1>How Does CarbonPHP Caching Work</h1>

		<p>Caching can be enabled on a per-page basis, and you can set the expiration time of the cache before the
		cached page should be refreshed.  When a page is loaded for the very first time a cache file will be written
		to the <b>carbon/cache/</b> directory.  On page loads after this, the page will be served from the cache
		directory and if it has expired, it will be deleted and refreshed before being sent to the browser.</p>

		<p><i>Note</i>: any benchmarking tags you use in your pages will not be cached, so you can still view
		your page load speed when caching is enabled.</p>
	</div>

	<div class="content">
		<h1>Enabling Caching For a Page</h1>

		<p>To enable caching just need to add the follow method into any of your controller methods.</p>

		<div class="example">
			$this->output->cache(<b>minutes</b>);
		</div>

		<p>Where <b>minutes</b> is the number of minutes you wish the cache file to last until it is refreshed.</p>

		<p>The above method can be put anywhere within your controller methods.  It is not affected by where it
		appears in your methods.  <i>Note</i>: before the cache files can be written, the correct permissions should
		be set on the <b>carbon/cache/</b> directory.  The permissions <b>666</b> should suffice.</p>
	</div>

	<div class="content">
		<h1>Deleting Cached Files</h1>

		<p>If you no longer wish to cache any files you can remove the caching method from your controller methods.
		This will mean the page will no longer be cached.  Removing the method will not delete the cache immediately.
		It will expire normally if you leave it to, otherwise you can simply delete the file yourself if you wish
		to remove it earlier.</p>
	</div>
</body>

</html>
